### Persefone.jl - a model of agricultural landscapes and ecosystems in Europe.
###
### Build the HTML documentation for Persefone using Documenter.jl
### https://documenter.juliadocs.org/stable/
### 

using Pkg

Pkg.activate("..")

push!(LOAD_PATH, "../src/")

using Documenter, Persefone

#TODO add a changelog: https://keepachangelog.com/en/1.0.0/

makedocs(sitename="Persefone.jl",
         modules = [Persefone],
         repo = Remotes.GitLab("git.idiv.de", "persefone", "persefone-model"),
         format = Documenter.HTML(prettyurls = false),
         warnonly = true, #XXX not recommended
         #warnonly = [:cross_references],
         pages = ["index.md",
                  "User guide" => [
                      "using.md",
                      "gui.md",
                      "config.md"],
                  #"odd.md",
                  "Developer guide" => [
                      "developing.md",
                      "adapting.md",
                      "architecture.md",
                      "gis.md",
                      "species-dsl.md"],
                  "Core" => [
                      "simulation.md",
                      "io.md"],
                  "Nature" => [
                      "nature.md",
                      "energy.md",
                      "species.md"],
                  "crops.md",
                  "farm.md"
                  "Scientific documentation" => [
                      "skylark.md"],
                  ])
